<script>
    import SvelteMarkdown from 'svelte-markdown'
    import { onMount } from 'svelte';
    export let association;
    let backend = import.meta.env.VITE_BACKEND;
    //   {
    //     "name": "string",
    //     "description": "string",
    //     "link": "string",
    //     "id": 0,
    //     "image_file": "string"
    //   }


    if (!association.image_file) {
        backend = 'https://picsum.photos/256?r=' + Math.random();
    }
</script>

<style>
    @keyframes float {
        0% {
            filter: drop-shadow(16px 16px 10px black);
            transform: translatey(0px);
        }
        50% {
            filter: drop-shadow(16px 16px 10px black);
            transform: translatey(-20px);
        }
        100% {
            filter: drop-shadow(16px 16px 10px black);
            transform: translatey(0px);
        }
    }

    .floating {
	    animation: float 6s ease-in-out infinite;
    }
</style>

<div class="card md:card-side">
    <img loading="lazy" class="floating self-center rounded-lg lg:w-56 lg:h-56 md:h-48 md:w-48 sm:h-44 sm:w-44 w-40 h-40" src="{backend + association.image_file}" alt="{association.image_file}"/>
    <div class="card-body ml-20">
        <h1 class="card-title text-6xl">{association.name}</h1>
        <a href="{association.link}" class="text-2xl text-blue-500 hover:text-blue-300">> Aller voir</a>
        <p><SvelteMarkdown source={association.description} /></p>
    </div>
</div>